| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_dct4_instance_f32 Struct Reference

Instance structure for the floating-point DCT4/IDCT4 function.

## Data Fields

uint16_t | N
uint16_t | Nby2
float32_t | normalize
float32_t * | pTwiddle
float32_t * | pCosFactor
arm_rfft_instance_f32 * | pRfft
arm_cfft_radix4_instance_f32 * | pCfft

## Field Documentation

uint16_t arm_dct4_instance_f32::N

length of the DCT4.

Referenced by arm_dct4_f32(), and arm_dct4_init_f32().

uint16_t arm_dct4_instance_f32::Nby2

half of the length of the DCT4.

Referenced by arm_dct4_f32(), and arm_dct4_init_f32().

float32_t arm_dct4_instance_f32::normalize

normalizing factor.

Referenced by arm_dct4_init_f32().

arm_cfft_radix4_instance_f32* arm_dct4_instance_f32::pCfft

points to the complex FFT instance.

Referenced by arm_dct4_init_f32().

float32_t* arm_dct4_instance_f32::pCosFactor

points to the cosFactor table.

Referenced by arm_dct4_f32(), and arm_dct4_init_f32().

arm_rfft_instance_f32* arm_dct4_instance_f32::pRfft

points to the real FFT instance.

Referenced by arm_dct4_init_f32().

float32_t* arm_dct4_instance_f32::pTwiddle

points to the twiddle factor table.

Referenced by arm_dct4_f32(), and arm_dct4_init_f32().